import os
import pandas as pd
import logging

def read_all_csv_files(directory):
    csv_files = [f for f in os.listdir(directory) if f.endswith('.csv')]
    data_frames = []
    for file in csv_files:
        file_path = os.path.join(directory, file)
        try:
            df = pd.read_csv(file_path)
            if not df.empty:
                data_frames.append(df)
        except pd.errors.EmptyDataError:
            logging.warning(f"Empty CSV file found and skipped: {file_path}")
    return pd.concat(data_frames, ignore_index=True) if data_frames else pd.DataFrame()

def update_data():
    stock_data_directory = os.path.join('C:\\Users\\user\\projects\\st\\data', 'stock_data')
    news_data_directory = os.path.join('C:\\Users\\user\\projects\\st\\data', 'news_data')
    financial_data_directory = os.path.join('C:\\Users\\user\\projects\\st\\data', 'financial_data')
    economic_data_directory = os.path.join('C:\\Users\\user\\projects\\st\\data', 'economic_data')

    stock_data = read_all_csv_files(stock_data_directory)
    news_data = read_all_csv_files(news_data_directory)
    financial_data = read_all_csv_files(financial_data_directory)
    economic_data = read_all_csv_files(economic_data_directory)

    return stock_data, news_data, financial_data, economic_data
